Name:           kaldi
Version:        5.4
Release:        1%{?dist}
Summary:        A toolkit for speech recognition

License:        ASL 2.0 
URL:            http://kaldi-asr.org/
Source0:        https://github.com/kaldi-asr/%{name}/archive/master.zip 

BuildRequires:  gcc,gcc-c++,make,automake,autoconf,patch,grep,bzip2,gzip,wget,git,svn,gawk,openfst,openfst-devel,perl-Pod-Html,perl-podlators
Requires:       atlas,python2.7,python3,zlib-devel,zlib1g-dev,zlib-devel,libtool,openfst,openfst-devel

%description
Kaldi is a toolkit for speech recognition, intended for use by researchers and professionals.

%global debug_package kaldi-debuginfo 

%package debuginfo

Requires: valgrind, %{name} = %{version}-%{release}
Summary:  The debug package for kaldi

%description debuginfo
Kaldi is a toolkit for speech recognition, intended for use by researchers and professionals.



%prep
cd %{_topdir}/BUILD
rm -rf %{name}-%{version}
cd %{_topdir}/SOURCES
unzip master.zip
cd %{_topdir}/BUILD
cp -rf %{_topdir}/SOURCES/%{name}-master .
cp %{_topdir}/SOURCES/%{name}-master/COPYING %{_topdir}/BUILD/
cp %{_topdir}/SOURCES/%{name}-master/src/NOTES %{_topdir}/BUILD/
cp %{_topdir}/SOURCES/%{name}-master/src/TODO %{_topdir}/BUILD/

/usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
rm -rf %{_topdir}/SOURCES/%{name}-master

%build

%{_topdir}/BUILD/%{name}-master/tools/extras/install_sctk_patched.sh

cd %{_topdir}/BUILD/%{name}-master/tools
export CC=gcc && make


cd %{_topdir}/BUILD/%{name}-master/src
export CC=gcc && make valgrind


cd %{_topdir}/BUILD/%{name}-master/src
./configure

%install
cd %{_topdir}/BUILD/%{name}-master/src
pwd
export CC=gcc && make

%files
%doc NOTES TODO
%license COPYING

%files debuginfo
%defattr(-,root,root)
%_libdir/*.so 



%changelog
* Thu May 10 2018 aacosta@fedoraproject.org - 5.4-1
- Initial version of the package
